**Full name**: projects.locations.tensorboards.experiments.runs.list

Lists TensorboardRuns in a Location.

### Endpoint

get `https://{service-endpoint}/v1/{parent}/runs`   
Where `{service-endpoint}` is one of the [supported service endpoints](https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest#rest_endpoints).

### Path parameters

`parent` `string` Required. The resource name of the TensorboardExperiment to list TensorboardRuns. Format: `projects/{project}/locations/{location}/tensorboards/{tensorboard}/experiments/{experiment}`

### Query parameters

`filter` `string` Lists the TensorboardRuns that match the filter expression.
`pageSize` `integer` The maximum number of TensorboardRuns to return. The service may return fewer than this value. If unspecified, at most 50 TensorboardRuns are returned. The maximum value is 1000; values above 1000 are coerced to 1000.
`pageToken` `string` A page token, received from a previous `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs/list#google.cloud.aiplatform.v1.TensorboardService.ListTensorboardRuns` call. Provide this to retrieve the subsequent page.

When paginating, all other parameters provided to `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs/list#google.cloud.aiplatform.v1.TensorboardService.ListTensorboardRuns` must match the call that provided the page token.
`orderBy` `string` Field to use to sort the list.
`readMask` ``string (`https://protobuf.dev/reference/protobuf/google.protobuf#field-mask` format)`` Mask specifying which fields to read.

This is a comma-separated list of fully qualified names of fields. Example: `"user.displayName,photo"`.

### Request body

The request body must be empty.

### Response body

Response message for `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs/list#google.cloud.aiplatform.v1.TensorboardService.ListTensorboardRuns`.

If successful, the response body contains data with the following structure:
Fields `tensorboardRuns[]` ``object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs#TensorboardRun`)`` The TensorboardRuns mathching the request.
`nextPageToken` `string` A token, which can be sent as `https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs/list#body.QUERY_PARAMETERS.page_token` to retrieve the next page. If this field is omitted, there are no subsequent pages.

| JSON representation |
|---|
| ``` { "tensorboardRuns": [ { object (`https://docs.cloud.google.com/gemini-enterprise-agent-platform/reference/rest/v1/projects.locations.tensorboards.experiments.runs#TensorboardRun`) } ], "nextPageToken": string } ``` |

### IAM Permissions

Requires the following [IAM](https://cloud.google.com/iam/docs) permission on the `parent` resource:

- `aiplatform.tensorboardRuns.list`

For more information, see the [IAM documentation](https://cloud.google.com/iam/docs).